stages:
  - test
  - deploy

pages:
  stage: deploy
  image: python:3.10
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  script:
  - pip install -r requirements.txt
  - make htmlgitlabdocs
  artifacts:
    paths:
    - public
  only:
  - main
  
test:
  stage: test
  image: python:3.10
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  script:
  - pip install -r requirements.txt
  - make htmlgitlabdocs
  artifacts:
    paths:
    - public
  except:
  - main

